Bug 108259 - Autofilter can freeze LibreOffice
Summary: Autofilter can freeze LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: All All
: medium normal
Assignee: Jean-Sebastien Bevilacqua
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-31 08:58 UTC by Jean-Sebastien Bevilacqua
Modified: 2017-09-07 15:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Bug autofilter (605.69 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-05-31 08:58 UTC, Jean-Sebastien Bevilacqua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sebastien Bevilacqua 2017-05-31 08:58:06 UTC
Created attachment 133739 [details]
Bug autofilter

How to reproduce (it will freeze your LibreOffice):

- Open the attached file (bug_autofilter.ods)
- Select Data > AutoFilter (it creates a filter on the first column)
- Click on the filter (it can be long)
- Uncheck "All"
- Check one value and valid
- LibreOffice is frozen

This bug appears if there are too many DIFFERENT values in the column.
In my example, all values are different.

Sincerely,
Jean-Sébastien Bevilacqua
Comment 1 Jean-Sebastien Bevilacqua 2017-05-31 09:11:57 UTC
Patch can be found here: https://gerrit.libreoffice.org/#/c/38269/
Comment 2 Commit Notification 2017-05-31 11:18:52 UTC
Jean-Sebastien Bevilacqua committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=511fb8e80d298d42f5c45e7410bf64f2a25b441e

tdf#108259 Enable autofilter with many different values

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-06-06 10:23:47 UTC
Jean-Sebastien Bevilacqua committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a39dc74724d3648ff76aa900edfebe0dd19b296

tdf#108259 Fix nested checkbox handling in autofilter popup

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-07 16:21:54 UTC
Jean-Sebastien Bevilacqua committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0163957ef808cffa332c2ddd3267409c5ae1494a&h=libreoffice-5-4

tdf#108259 Enable autofilter with many different values

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.